<?php
/**
 * Display featured slider
 *
 * @since Click 1.0.0
 *
 * @param int $post_id
 * @return void
 *
 */
if ( !function_exists('click_default_slider') ) :
    function click_default_slider(){
        ?>
        <div class="item">
            <a href="#">
                <img src="<?php echo esc_url( get_template_directory_uri()."/assets/img/no-image-690-400.jpg" ); ?>"/>
            </a>
            <div class="slider-desc">
                <div class="slider-details">
                    <a href="#">
                        <div class="slide-title">
                            <?php esc_html_e('Welcome to Click','click'); ?>
                        </div>
                    </a>
                </div>
                <?php
                echo '<div class="slide-caption">'.esc_html__('A Stylish Blog Theme','click').'</div>';
                ?>
            </div>
        </div>
        <div class="item">
            <a href="#">
                <img src="<?php echo esc_url( get_template_directory_uri()."/assets/img/no-image-690-400.jpg" ); ?>"/>
            </a>
            <div class="slider-desc">
                <div class="slider-details">
                    <a href="#">
                        <div class="slide-title">
                            <?php esc_html_e('Slider Setting','click'); ?>
                        </div>
                    </a>
                </div>
                <?php
                echo '<div class="slide-caption">'.esc_html__('Goto Appearance > Customize > Featured Section Options, for setting up feature slider and featured options','click').'</div>';
                ?>
            </div>
        </div>
        <?php
    }
endif;

/**
 * Featured Slider display function
 *
 * @since Click 1.0.0
 *
 * @param null
 * @return void
 */

if ( ! function_exists( 'click_display_feature_slider' ) ) :

    function click_display_feature_slider( ){

        global $click_customizer_all_values;
        $click_feature_cat = $click_customizer_all_values['click-feature-cat'];
        if ( 0 != $click_feature_cat ) {
            $click_cat_post_args = array(
                'cat'                 => $click_feature_cat,
                'posts_per_page'      => 5,
                'no_found_rows'       => true,
                'post_status'         => 'publish',
                'ignore_sticky_posts' => true
            );
            $slider_query = new WP_Query($click_cat_post_args);
            if ($slider_query->have_posts()):
                while ($slider_query->have_posts()): $slider_query->the_post();
                    if (has_post_thumbnail()) {
                        $image_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                    } else {
                        $image_url[0] = get_template_directory_uri() . '/assets/img/no-image-690-400.jpg';
                    }
                    ?>
                    <div class="item">
                        <a href="<?php the_permalink(); ?>">
                            <img src="<?php echo esc_url( $image_url[0] ); ?>"/>
                        </a>
                        <div class="slider-desc">
                            <div class="slider-details">
                                <div class="entry-header">
                                    <?php click_entry_footer( 1, 0 , 0 ,0 ); ?>
                                </div>
                                <div class="slide-title">
                                    <?php the_title(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php
                endwhile;
                wp_reset_postdata();
                endif;
        }
        else{
            click_default_slider();
        }
    }
endif;

/**
 * Display featured slider
 *
 * @since Click 1.0.0
 *
 * @param int $post_id
 * @return void
 *
 */
if ( !function_exists('click_feature_slider') ) :
    function click_feature_slider() {
        ?>
        <!--slider holder-->
        <div id="click-supersised"></div>

        <!--Thumbnail Navigation-->
        <div id="prevthumb"></div>
        <div id="nextthumb"></div>

        <!--Arrow Navigation-->
        <a id="prevslide" class="load-item">
            <i class="fa fa-angle-left" aria-hidden="true"></i>
        </a>
        <a id="nextslide" class="load-item">
            <i class="fa fa-angle-right" aria-hidden="true"></i>
        </a>

        <div id="thumb-tray" class="load-item">
            <div id="thumb-back"></div>
            <div id="thumb-forward"></div>
        </div>

        <!--Time Bar-->
        <div id="progress-back" class="load-item">
            <div id="progress-bar"></div>
        </div>

        <!--Control Bar-->
        <div id="controls-wrapper" class="load-item">
            <div id="controls">

                <a id="play-button"><img id="pauseplay" src="<?php echo esc_url(get_template_directory_uri() )?>/assets/library/supersized/img/pause.png"/></a>

                <!--Slide counter-->
                <div id="slidecounter">
                    <span class="slidenumber"></span> / <span class="totalslides"></span>
                </div>

                <!--Slide captions displayed here-->
                <div id="slidecaption"></div>

                <!--Thumb Tray button-->
                <a id="tray-button"><img id="tray-arrow" src="<?php echo esc_url(get_template_directory_uri() )?>/assets/library/supersized/img/button-tray-up.png"/></a>

                <!--Navigation-->
                <ul id="slide-list"></ul>

            </div>
        </div>
        <?php /*The Loop*/
        global $click_customizer_all_values;

        $click_feature_cat = $click_customizer_all_values['click-feature-cat'];
	    $click_featured_slider_number = $click_customizer_all_values['click-featured-slider-number'];
	    $sticky = get_option( 'sticky_posts' );

        $click_cat_post_args = array(
            'cat'                 => $click_feature_cat,
            'posts_per_page'      => $click_featured_slider_number,
            'no_found_rows'       => true,
            'post_status'         => 'publish',
            'ignore_sticky_posts' => true,
            'post__not_in' => $sticky
        );
        $slider_query = new WP_Query($click_cat_post_args);
        if ( $slider_query->have_posts() ):
            ?>
            <script type="text/javascript">

                jQuery(function($){

                    $.supersized({

                        // Functionality
                        slideshow               :   1,			// Slideshow on/off
                        autoplay				:	1,			// Slideshow starts playing automatically
                        start_slide             :   1,			// Start slide (0 is random)
                        stop_loop				:	0,			// Pauses slideshow on last slide
                        random					: 	0,			// Randomize slide order (Ignores start slide)
                        slide_interval          :   3000,		// Length between transitions
                        transition              :   6, 			// 0-None, 1-Fade, 2-Slide Top, 3-Slide Right, 4-Slide Bottom, 5-Slide Left, 6-Carousel Right, 7-Carousel Left
                        transition_speed		:	1000,		// Speed of transition
                        new_window				:	1,			// Image links open in new window/tab
                        pause_hover             :   0,			// Pause slideshow on hover
                        keyboard_nav            :   1,			// Keyboard navigation on/off
                        performance				:	1,			// 0-Normal, 1-Hybrid speed/quality, 2-Optimizes image quality, 3-Optimizes transition speed // (Only works for Firefox/IE, not Webkit)
                        image_protect			:	1,			// Disables image dragging and right click with Javascript

                        /*// Size & Position						   */
                        min_width		        :   0,			// Min width allowed (in pixels)
                        min_height		        :   0,			// Min height allowed (in pixels)
                        vertical_center         :   1,			// Vertically center background
                        horizontal_center       :   1,			// Horizontally center background
                        fit_always				:	0,			// Image will never exceed browser width or height (Ignores min. dimensions)
                        fit_portrait         	:   1,			// Portrait images will not exceed browser height
                        fit_landscape			:   0,			// Landscape images will not exceed browser width

                        // Components
                        slide_links				:	false,	// Individual links for each slide (Options: false, 'num', 'name', 'blank')
                        thumb_links				:	1,			// Individual thumb links for each slide
                        thumbnail_navigation    :   0,			// Thumbnail navigation
                        image_path    :   '<?php echo get_template_directory_uri().'/assets/supersized/img/'?>',			// Thumbnail navigation

                        slides 					:  	[			// Slideshow Images
                            <?php
                            $count = $slider_query->post_count;
                            $i = 1;
                            while( $slider_query->have_posts() ):$slider_query->the_post();
                            if (has_post_thumbnail()) {
                                $image_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                            } else {
                                $image_url[0] = get_template_directory_uri() . '/assets/img/no-image-690-400.jpg';
                            }
                            ?>
                            {image : '<?php echo esc_url( $image_url[0] ); ?>', title : '<?php the_title_attribute() ?>', thumb : '', url : '<?php echo esc_url( $image_url[0] ); ?>'}
                            <?php
                            if( $i < $count ){
                                echo ",";
                            }
                            $i++;
                            endwhile;
                            ?>
                        ],

                        // Theme Options
                        progress_bar			:	1,			// Timer for each slide
                        mouse_scrub				:	0

                    });
                });
            </script>
            <?php
        endif;
        ?>
        <div class="clearfix"></div>
        <?php

    }
endif;
add_action( 'click_action_feature_slider', 'click_feature_slider', 0 );